Skip to main content
PATCH
Update thread

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

threadId
integer<int64>
required

The unique identifier of the conversation thread to update.

Query Parameters

archived
boolean

Whether to return only results that have been archived. This is a boolean value.

Body

application/json
archived
boolean

A boolean indicating whether the thread is archived.

status
enum<string>

The current status of the thread. Valid values include 'OPEN' and 'CLOSED'.

Available options:
CLOSED,
OPEN

Response

successful operation

archived
boolean
required

A boolean indicating whether the thread is archived.

associatedContactId
string
required

The identifier of the contact associated with the thread.

createdAt
string<date-time>
required

The date and time when the thread was created, in ISO 8601 format.

id
string
required

The unique identifier for the conversation thread.

inboxId
string
required

The identifier of the inbox where the thread is located.

originalChannelAccountId
string
required

The identifier of the original channel account associated with the thread.

originalChannelId
string
required

The identifier of the original channel where the thread was initiated.

spam
boolean
required

A boolean indicating whether the thread is marked as spam.

status
enum<string>
required

The current status of the thread. Valid values include 'OPEN' and 'CLOSED'.

Available options:
CLOSED,
OPEN
assignedTo
string

The identifier of the user to whom the thread is assigned.

closedAt
string<date-time>

The date and time when the thread was closed, in ISO 8601 format.

latestMessageReceivedTimestamp
string<date-time>

The date and time when the latest message was received, in ISO 8601 format.

latestMessageSentTimestamp
string<date-time>

The date and time when the latest message was sent, in ISO 8601 format.

latestMessageTimestamp
string<date-time>

The date and time of the latest message in the thread, in ISO 8601 format.

threadAssociations
object
Last modified on September 9, 2026